Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions | Static Public Attributes
tlp::ImportModuleFactory Class Reference
Plugins

`#include <ImportModule.h>`

Inheritance diagram for tlp::ImportModuleFactory:
[legend]
Collaboration diagram for tlp::ImportModuleFactory:
[legend]

List of all members.

## Public Member Functions

- virtual ~ImportModuleFactory ()
- virtual ImportModule * createPluginObject (AlgorithmContext)=0
- virtual std::string getMajor () const
    Only the major of the plug-in version. A version should be X.Y, X being the major.
- virtual std::string getMinor () const
    Only the minor of the plug-in version. A version should be X.Y, Y being the major.
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TLP_SCOPE
  TemplateFactory
  < ImportModuleFactory,
  ImportModule, AlgorithmContext > * factory

## Constructor & Destructor Documentation

virtual tlp::ImportModuleFactory::~ImportModuleFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ImportModule* tlp::ImportModuleFactory::createPluginObject | ( | AlgorithmContext |  | ) | `[pure virtual]`

virtual std::string tlp::ImportModuleFactory::getMajor | ( |  | ) | const`[inline, virtual]`

Only the major of the plug-in version. A version should be X.Y, X being the major.

Returns:
  The major part of the plug-in version.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ImportModuleFactory::getMinor | ( |  | ) | const`[inline, virtual]`

Only the minor of the plug-in version. A version should be X.Y, Y being the major.

Returns:
  The minor part of the plug-in version.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ImportModuleFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

Returns:
  The major Tulip version the plug-in was built with.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ImportModuleFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

Returns:
  Return the minor Tulip version this plug-in was built with.

Implements tlp::PluginInfoInterface.

static void tlp::ImportModuleFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TLP_SCOPE TemplateFactory<ImportModuleFactory,ImportModule,AlgorithmContext >* tlp::ImportModuleFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012